Set list filters If a filter exists in the database, but is not passed in it will be deleted. For list filters to be edited you must have created the list or have BillListAdministrator Manage permission and the list is shared with anyone or have SharedBillList Edit permission and the list is shared with you.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| listId | The list identifier | integer (int32) | Required |
Request Body
Array of:
FilterEdit
| Property | Description | Type |
|---|---|---|
| fieldId | Data field ID for the filter Required | integer (int32) |
| operator | Filter operator expressed as a string (e.g. “equals”) Required | string |
| value | Filter value | string |
Example Request Body
[
{ "fieldId": 1, "operator": "string", "value": "string"
}
]
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
FilterResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| availableOperator | The list of available operators Required (defined) | string[] | ||||||||||||
| caption | The caption of the filter Required (defined) | string | ||||||||||||
| dataFieldId | The datafield identifier Required (defined) | integer (int32) | ||||||||||||
| dataType | DataTypeResponse | |||||||||||||
|
DataTypeResponse properties
|
||||||||||||||
| fieldId | The field identifier Required (defined) | integer (int32) | ||||||||||||
| hidden | Indicates if the filter is hidden Required (defined) | boolean | ||||||||||||
| operator | The operator Required (defined) | string | ||||||||||||
| queryParameterName | The Query parameter name Required (defined) | string | ||||||||||||
| recommended | Indicates if the filter is recommended Required (defined) | boolean | ||||||||||||
| required | Indicates if the filter is required | boolean | ||||||||||||
| value | The value of the filter Required (defined) | string | ||||||||||||
Example Response
[
{ "availableOperator": [
"string"
], "caption": "string", "dataFieldId": 1, "dataType": { "dataTypeCode": "string", "dataTypeId": 1, "dataTypeInfo": "string"
}, "fieldId": 1, "hidden": false, "operator": "string", "queryParameterName": "string", "recommended": false, "required": false, "value": "string"
}
]